Skip to main content
GET
Fetch full company profile from the AI Prise registry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

ID of organization

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

businessEntityId
string
required
countryCode
string
required

ISO 3166-1 alpha-2 country code

Maximum string length: 2
Pattern: ^[a-zA-Z]{2}$
Example:

"US"

stateCode
string
Maximum string length: 10

Response

Full company profile.

businessEntityId
string
required
countryCode
string
required

ISO 3166-1 alpha-2 country code

Maximum string length: 2
Pattern: ^[a-zA-Z]{2}$
Example:

"US"

entityType
string | null
stateCode
string | null
addresses
object[] | null
Last modified on August 1, 2026